/* Desktop Object Repair                 */
/* Rebuilds WarpZip Desktop object       */
/* Run this from the WarpZip directory   */
/*                                       */

/* Load RexxUtil DLL                     */
call RxFuncAdd 'SysLoadFuncs' , RexxUtil, 'SysLoadFuncs'
call SysLoadFuncs
Call SysCls

/* Is WarpZip in this directory?         */
say 'Locating WarpZip.exe...'
if Stream('WarpZip.EXE','C','Query Exists') = '' then do
   say 'Please run this program from the same directory as the WARPZIP.EXE file'
   say ''
   say 'Exiting...'
   exit
end

/* Create the desktop object             */
ProgramName = 'WarpZip'
Setup ='OBJECTID=<WarpZip>;'||,
       'EXENAME=' || Directory() || '\WARPZIP.EXE;'||,
       'STARTUPDIR=' || Directory()';'||,
       'ASSOCTYPE=ZIP File,,;'||,
       'ASSOCFILTER=*.ZIP,*._,,;'||,
       'PROGTYPE=PM;'

rc = SysCreateObject('WPProgram', ProgramName, '<WP_DESKTOP>',Setup,'U')

/* Check if the WPS object was created   */
if rc = 0 then
   say 'Object creation for 'ProgramName ' failed!  rc='rc
else
   say 'Object created for' ProgramName '.'

